# kate Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KateModOnHdPrompt Class Reference

This dialog will prompt the user for what do with a file that is modified on disk. More...

`#include <katedialogs.h>`

Inheritance diagram for KateModOnHdPrompt:

[legend]
Collaboration diagram for KateModOnHdPrompt:

[legend]
List of all members.

## Public Types

enum | Status { Reload = 1, Save, Overwrite, Ignore }

## Public Slots

void | slotDiff ()
void | slotOk ()
void | slotApply ()
void | slotUser1 ()

## Public Member Functions

| KateModOnHdPrompt (KateDocument *doc, int modtype, const QString &reason, QWidget *parent)

## Detailed Description

This dialog will prompt the user for what do with a file that is modified on disk.

If the file wasn't deleted, it has a 'diff' button, which will create a diff file (uing diff(1)) and launch that using KRun.

Definition at line 377 of file katedialogs.h.

## Member Function Documentation

void KateModOnHdPrompt::slotDiff | ( |  | ) | `[slot]`

| Show a diff between the document text and the disk file. This will not close the dialog, since we still need a decision from the user. Definition at line 1592 of file katedialogs.cpp. References KProcIO::closeWhenDone(), KProcIO::setComm(), KProcIO::start(), and KProcIO::writeStdin().

The documentation for this class was generated from the following files:

- katedialogs.h
- katedialogs.cpp

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:48 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003